const int LED_R=9;            //LED 赤
const int LED_G=11;           //LED 緑
const int LED_B=10;           //LED 青

const int POTPIN_R = A0;      //半固定抵抗 赤
const int POTPIN_G = A1;      //半固定抵抗 緑
const int POTPIN_B = A2;      //半固定抵抗 青

void setup() {
 //LEDのピンを出力に設定する 
 pinMode(LED_R, OUTPUT);
  pinMode(LED_G, OUTPUT);
  pinMode(LED_B, OUTPUT);

  //半固定抵抗のピンを入力に設定する
  pinMode(POTPIN_R, INPUT);
  pinMode(POTPIN_G, INPUT);
  pinMode(POTPIN_B, INPUT);

  Serial.begin(9600);    //シリアル通信をスタートする
}

void loop() {
  int potVal_R = analogRead(POTPIN_R);  //半固定抵抗（赤）の値を取得
  analogWrite(LED_R, potVal_R / 4);     //LED赤の明るさを、入力された値の1/4に指定する

  int potVal_G = analogRead(POTPIN_G);  //半固定抵抗（緑）の値を取得
  analogWrite(LED_G, potVal_G / 4);     //LED緑の明るさを、入力された値の1/4に指定する

  int potVal_B = analogRead(POTPIN_B);  //半固定抵抗（青）の値を取得
  analogWrite(LED_B, potVal_B / 4);     //LED青の明るさを、入力された値の1/4に指定する
  
  //シリアルポートに各半固定抵抗の値を出力する
  Serial.print(" R:");
  Serial.print(potVal_R);
  Serial.print(" G:");
  Serial.print(potVal_G);
  Serial.print(" B:");
  Serial.println(potVal_B);
}
